CustomLineCap Construtores

Definição

Inicializa uma nova instância da classe CustomLineCap com o estrutura de tópicos e o preenchimento personalizados.Initializes a new instance of the CustomLineCap class with the specified outline and fill.

Sobrecargas

CustomLineCap(GraphicsPath, GraphicsPath)

Inicializa uma nova instância da classe CustomLineCap com o estrutura de tópicos e o preenchimento personalizados.Initializes a new instance of the CustomLineCap class with the specified outline and fill.

CustomLineCap(GraphicsPath, GraphicsPath, LineCap)

Inicializa uma nova instância da classe CustomLineCap da enumeração LineCap existente especificada com a estrutura de tópicos e o preenchimento especificados.Initializes a new instance of the CustomLineCap class from the specified existing LineCap enumeration with the specified outline and fill.

CustomLineCap(GraphicsPath, GraphicsPath, LineCap, Single)

Inicializa uma nova instância da classe CustomLineCap da enumeração LineCap existente especificada com a estrutura de tópicos, o preenchimento e a inserção.Initializes a new instance of the CustomLineCap class from the specified existing LineCap enumeration with the specified outline, fill, and inset.

CustomLineCap(GraphicsPath, GraphicsPath)

Inicializa uma nova instância da classe CustomLineCap com o estrutura de tópicos e o preenchimento personalizados.Initializes a new instance of the CustomLineCap class with the specified outline and fill.

public:
 CustomLineCap(System::Drawing::Drawing2D::GraphicsPath ^ fillPath, System::Drawing::Drawing2D::GraphicsPath ^ strokePath);
public CustomLineCap (System.Drawing.Drawing2D.GraphicsPath fillPath, System.Drawing.Drawing2D.GraphicsPath strokePath);
public CustomLineCap (System.Drawing.Drawing2D.GraphicsPath? fillPath, System.Drawing.Drawing2D.GraphicsPath? strokePath);
new System.Drawing.Drawing2D.CustomLineCap : System.Drawing.Drawing2D.GraphicsPath * System.Drawing.Drawing2D.GraphicsPath -> System.Drawing.Drawing2D.CustomLineCap
Public Sub New (fillPath As GraphicsPath, strokePath As GraphicsPath)

Parâmetros

fillPath
GraphicsPath

Um objeto GraphicsPath que define o preenchimento de limite personalizado.A GraphicsPath object that defines the fill for the custom cap.

strokePath
GraphicsPath

Um objeto GraphicsPath que define a estrutura de tópicos do limite personalizado.A GraphicsPath object that defines the outline of the custom cap.

Exemplos

O exemplo a seguir demonstra como usar o CustomLineCap Construtor.The following example demonstrates how to use the CustomLineCap constructor. Para executar este exemplo, Cole o código em um formulário do Windows.To run this example, paste the code into a Windows Form. Manipule o evento do formulário Paint e chame DrawCaps -o do método de manipulação de eventos do formulário Paint , passando e como PaintEventArgs .Handle the form's Paint event and call DrawCaps from the form's Paint event-handling method, passing e as PaintEventArgs.


protected void DrawCaps(PaintEventArgs e)
{
    GraphicsPath hPath = new GraphicsPath();

    // Create the outline for our custom end cap.
    hPath.AddLine(new Point(0, 0), new Point(0, 5));
    hPath.AddLine(new Point(0, 5), new Point(5, 1));
    hPath.AddLine(new Point(5, 1), new Point(3, 1));

    // Construct the hook-shaped end cap.
    CustomLineCap HookCap = new CustomLineCap(null, hPath);

    // Set the start cap and end cap of the HookCap to be rounded.
    HookCap.SetStrokeCaps(LineCap.Round, LineCap.Round);

    // Create a pen and set end custom start and end
    // caps to the hook cap.
    Pen customCapPen = new Pen(Color.Black, 5);
    customCapPen.CustomStartCap = HookCap;
    customCapPen.CustomEndCap = HookCap;

    // Create a second pen using the start and end caps from
    // the hook cap.
    Pen capPen = new Pen(Color.Red, 10);
    LineCap startCap;
    LineCap endCap;
    HookCap.GetStrokeCaps(out startCap, out endCap);
    capPen.StartCap = startCap;
    capPen.EndCap = endCap;

    // Create a line to draw.
    Point[] points = { new Point(100, 100), new Point(200, 50), 
        new Point(250, 300) };

    // Draw the lines.
    e.Graphics.DrawLines(capPen, points);
    e.Graphics.DrawLines(customCapPen, points);
}
Protected Sub DrawCaps(ByVal e As PaintEventArgs)
    Dim hPath As New GraphicsPath()

    ' Create the outline for our custom end cap.
    hPath.AddLine(New Point(0, 0), New Point(0, 5))
    hPath.AddLine(New Point(0, 5), New Point(5, 1))
    hPath.AddLine(New Point(5, 1), New Point(3, 1))

    ' Construct the hook-shaped end cap.
    Dim HookCap As New CustomLineCap(Nothing, hPath)

    ' Set the start cap and end cap of the HookCap to be rounded.
    HookCap.SetStrokeCaps(LineCap.Round, LineCap.Round)

    ' Create a pen and set end custom start and end
    ' caps to the hook cap.
    Dim customCapPen As New Pen(Color.Black, 5)
    customCapPen.CustomStartCap = HookCap
    customCapPen.CustomEndCap = HookCap

    ' Create a second pen using the start and end caps from
    ' the hook cap.
    Dim capPen As New Pen(Color.Red, 10)
    Dim startCap As LineCap
    Dim endCap As LineCap
    HookCap.GetStrokeCaps(startCap, endCap)
    capPen.StartCap = startCap
    capPen.EndCap = endCap

    ' Create a line to draw.
    Dim points As Point() = {New Point(100, 100), New Point(200, 50), _
        New Point(250, 300)}

    ' Draw the lines.
    e.Graphics.DrawLines(capPen, points)
    e.Graphics.DrawLines(customCapPen, points)

End Sub

Comentários

CustomLineCap usa um modo de preenchimento de "enrolamento", independentemente do modo de preenchimento especificado para a operação.CustomLineCap uses a fill mode of "winding" regardless of the fill mode specified for the operation.

Os fillPath strokePath parâmetros e não podem ser usados ao mesmo tempo.The fillPath and strokePath parameters cannot be used at the same time. Um parâmetro deve ser passado para um valor nulo.One parameter must be passed a null value. Se nenhum parâmetro for passado como um valor nulo, fillPath será ignorado.If neither parameter is passed a null value, fillPath will be ignored. Se strokePath for null , fillPath o deve interceptar o eixo y negativo.If strokePath is null, fillPath should intercept the negative y-axis.

Aplica-se a

CustomLineCap(GraphicsPath, GraphicsPath, LineCap)

Inicializa uma nova instância da classe CustomLineCap da enumeração LineCap existente especificada com a estrutura de tópicos e o preenchimento especificados.Initializes a new instance of the CustomLineCap class from the specified existing LineCap enumeration with the specified outline and fill.

public:
 CustomLineCap(System::Drawing::Drawing2D::GraphicsPath ^ fillPath, System::Drawing::Drawing2D::GraphicsPath ^ strokePath, System::Drawing::Drawing2D::LineCap baseCap);
public CustomLineCap (System.Drawing.Drawing2D.GraphicsPath fillPath, System.Drawing.Drawing2D.GraphicsPath strokePath, System.Drawing.Drawing2D.LineCap baseCap);
public CustomLineCap (System.Drawing.Drawing2D.GraphicsPath? fillPath, System.Drawing.Drawing2D.GraphicsPath? strokePath, System.Drawing.Drawing2D.LineCap baseCap);
new System.Drawing.Drawing2D.CustomLineCap : System.Drawing.Drawing2D.GraphicsPath * System.Drawing.Drawing2D.GraphicsPath * System.Drawing.Drawing2D.LineCap -> System.Drawing.Drawing2D.CustomLineCap
Public Sub New (fillPath As GraphicsPath, strokePath As GraphicsPath, baseCap As LineCap)

Parâmetros

fillPath
GraphicsPath

Um objeto GraphicsPath que define o preenchimento de limite personalizado.A GraphicsPath object that defines the fill for the custom cap.

strokePath
GraphicsPath

Um objeto GraphicsPath que define a estrutura de tópicos do limite personalizado.A GraphicsPath object that defines the outline of the custom cap.

baseCap
LineCap

O limite de linha do qual criar o limite personalizado.The line cap from which to create the custom cap.

Comentários

CustomLineCap usa um modo de preenchimento de "enrolamento", independentemente do modo de preenchimento especificado para a operação.CustomLineCap uses a fill mode of "winding" regardless of the fill mode specified for the operation.

Os fillPath strokePath parâmetros e não podem ser usados ao mesmo tempo.The fillPath and strokePath parameters cannot be used at the same time. Um parâmetro deve ser passado para um valor nulo.One parameter must be passed a null value. Se nenhum parâmetro for passado como um valor nulo, fillPath será ignorado.If neither parameter is passed a null value, fillPath will be ignored. Se strokePath for null , fillPath o deve interceptar o eixo y negativo.If strokePath is null, fillPath should intercept the negative y-axis.

Aplica-se a

CustomLineCap(GraphicsPath, GraphicsPath, LineCap, Single)

Inicializa uma nova instância da classe CustomLineCap da enumeração LineCap existente especificada com a estrutura de tópicos, o preenchimento e a inserção.Initializes a new instance of the CustomLineCap class from the specified existing LineCap enumeration with the specified outline, fill, and inset.

public:
 CustomLineCap(System::Drawing::Drawing2D::GraphicsPath ^ fillPath, System::Drawing::Drawing2D::GraphicsPath ^ strokePath, System::Drawing::Drawing2D::LineCap baseCap, float baseInset);
public CustomLineCap (System.Drawing.Drawing2D.GraphicsPath fillPath, System.Drawing.Drawing2D.GraphicsPath strokePath, System.Drawing.Drawing2D.LineCap baseCap, float baseInset);
public CustomLineCap (System.Drawing.Drawing2D.GraphicsPath? fillPath, System.Drawing.Drawing2D.GraphicsPath? strokePath, System.Drawing.Drawing2D.LineCap baseCap, float baseInset);
new System.Drawing.Drawing2D.CustomLineCap : System.Drawing.Drawing2D.GraphicsPath * System.Drawing.Drawing2D.GraphicsPath * System.Drawing.Drawing2D.LineCap * single -> System.Drawing.Drawing2D.CustomLineCap
Public Sub New (fillPath As GraphicsPath, strokePath As GraphicsPath, baseCap As LineCap, baseInset As Single)

Parâmetros

fillPath
GraphicsPath

Um objeto GraphicsPath que define o preenchimento de limite personalizado.A GraphicsPath object that defines the fill for the custom cap.

strokePath
GraphicsPath

Um objeto GraphicsPath que define a estrutura de tópicos do limite personalizado.A GraphicsPath object that defines the outline of the custom cap.

baseCap
LineCap

O limite de linha do qual criar o limite personalizado.The line cap from which to create the custom cap.

baseInset
Single

A distância entre o limite e a linha.The distance between the cap and the line.

Comentários

CustomLineCap usa um modo de preenchimento de "enrolamento", independentemente do modo de preenchimento especificado para a operação.CustomLineCap uses a fill mode of "winding" regardless of the fill mode specified for the operation.

Os fillPath strokePath parâmetros e não podem ser usados ao mesmo tempo.The fillPath and strokePath parameters cannot be used at the same time. Um parâmetro deve ser passado para um valor nulo.One parameter must be passed a null value. Se nenhum parâmetro for passado como um valor nulo, fillPath será ignorado.If neither parameter is passed a null value, fillPath will be ignored. Se strokePath for null , fillPath o deve interceptar o eixo y negativo.If strokePath is null, fillPath should intercept the negative y-axis.

Aplica-se a